"
stx:goodies/smallsense - A productivity plugin for Smalltalk/X IDE
Copyright (C) 2013-2015 Jan Vrany
Copyright (C) 2021 Patrik Svestka

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License. 

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
"
"{ Package: 'stx:goodies/smallsense' }"

"{ NameSpace: SmallSense }"

TestCase subclass:#SmalltalkSyntaxHighlighterTests
	instanceVariableNames:'mock browser builder'
	classVariableNames:''
	poolDictionaries:''
	category:'SmallSense-Tests-Obsolete'
!

!SmalltalkSyntaxHighlighterTests class methodsFor:'documentation'!

copyright
"
stx:goodies/smallsense - A productivity plugin for Smalltalk/X IDE
Copyright (C) 2013-2015 Jan Vrany
Copyright (C) 2021 Patrik Svestka

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License. 

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
"
! !

!SmalltalkSyntaxHighlighterTests methodsFor:'initialize-release'!

setUp

    mock := CustomMock new.
    browser := mock mockOf: Tools::NewSystemBrowser.
    builder := mock mockOf: UIBuilder.

    "Created: / 22-11-2021 / 12:46:07 / Patrik Svestka <patrik.svestka@gmail.com>"
!

tearDown

    mock unmockAll

    "Created: / 22-11-2021 / 12:48:33 / Patrik Svestka <patrik.svestka@gmail.com>"
! !

!SmalltalkSyntaxHighlighterTests methodsFor:'parseTests'!

testSyntaxHighlighterCascadedMessage
    "Testing if cascaded message gets correctly syntax highlighted"
    | method selectorSource browserWithMethod |

    selectorSource := "/ copy of HGWorkingCopy>>merge:
'testingHGWorkingCopyMerge: aChangesetOrChangesetId

    ^ self repository execute:
        (HGCommand merge
            workingDirectory: self path;
            revision: aChangesetOrChangesetId asHGChangesetId asString;
            tool: ''internal:dump'';
            yourself)'.

    browserWithMethod := browser compileMockMethod: selectorSource.
    browserWithMethod builder: builder.    

    method := mock mockOf: Method.
    method source: selectorSource.

    self shouldnt: [
        browser showMethodsCode: method scrollToTop: false
    ] raise: Error

    "Created: / 19-11-2021 / 14:41:15 / Patrik Svestka <patrik.svestka@gmail.com>"
    "Modified (comment): / 22-11-2021 / 12:50:50 / Patrik Svestka <patrik.svestka@gmail.com>"
! !

!SmalltalkSyntaxHighlighterTests class methodsFor:'documentation'!

version_HG

    ^ '$Changeset: <not expanded> $'
! !

